Debian Bug report logs - #692951
libklibc-dev: copyright file missing after upgrade (policy 12.5)

version graph

Package: libklibc-dev; Maintainer for libklibc-dev is maximilian attems <maks@debian.org>; Source for libklibc-dev is src:klibc.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Sun, 11 Nov 2012 11:12:01 UTC

Severity: serious

Tags: patch

Found in versions klibc/1.5.20-1, klibc/2.0.1-3, klibc/1.5.20-1+squeeze1

Fixed in version klibc/2.0.1-3.1

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#692951; Package libklibc-dev. (Sun, 11 Nov 2012 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. (Sun, 11 Nov 2012 11:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libklibc-dev: copyright file missing after upgrade (policy 12.5)
Date: Sun, 11 Nov 2012 12:08:34 +0100
[Message part 1 (text/plain, inline)]
Package: libklibc-dev
Version: 2.0.1-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

a test with piuparts revealed that your package misses the copyright
file after an upgrade from lenny to squeeze to wheezy, which is a violation of
Policy 12.5:
http://www.debian.org/doc/debian-policy/ch-docs.html#s-copyrightfile

After the upgrade /usr/share/doc/$PACKAGE/ is just an empty directory.

>From the attached log (scroll to the bottom...):
(from 'ls -lad /u/s/d/$PKG' and 'ls -la /u/s/d/$PKG/')

  MISSING COPYRIGHT FILE: /usr/share/doc/libklibc-dev/copyright
  drwxr-xr-x 2 root root 40 Nov  8 04:11 /usr/share/doc/libklibc-dev
  total 0
  drwxr-xr-x  2 root root   40 Nov  8 04:11 .
  drwxr-xr-x 96 root root 2060 Nov  8 04:12 ..


Additional info may be available here:
http://wiki.debian.org/MissingCopyrightFile


cheers,

Andreas
[libklibc-dev_2.0.1-3.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#692951; Package libklibc-dev. (Sun, 11 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Sun, 11 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 692951@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Andreas Beckmann <debian@abeckmann.de>, 692951@bugs.debian.org
Cc: maximilian attems <maks@debian.org>, control@bugs.debian.org
Subject: Re: Bug#692951: libklibc-dev: copyright file missing after upgrade (policy 12.5)
Date: Sun, 11 Nov 2012 11:43:17 +0000 (UTC)
[Message part 1 (text/plain, inline)]
tags 692951 + patch
thanks

Andreas Beckmann dixit:

>After the upgrade /usr/share/doc/$PACKAGE/ is just an empty directory.

Hey, I know that. Patch attached, can NMU if you want, maks.

bye,
//mirabilos
-- 
FWIW, I'm quite impressed with mksh interactively. I thought it was much
*much* more bare bones. But it turns out it beats the living hell out of
ksh93 in that respect. I'd even consider it for my daily use if I hadn't
wasted half my life on my zsh setup. :-) -- Frank Terbeck in #!/bin/mksh
[0001-add-migration-script-for-usr-share-doc-libklibc-dev-.patch (text/plain, attachment)]

Added tag(s) patch. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Sun, 11 Nov 2012 11:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#692951; Package libklibc-dev. (Mon, 12 Nov 2012 16:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. (Mon, 12 Nov 2012 16:09:14 GMT) Full text and rfc822 format available.

Message #17 received at 692951@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: Andreas Beckmann <debian@abeckmann.de>, 692951@bugs.debian.org
Subject: Re: Bug#692951: libklibc-dev: copyright file missing after upgrade (policy 12.5)
Date: Mon, 12 Nov 2012 16:08:33 +0000
On Sun, Nov 11, 2012 at 11:43:17AM +0000, Thorsten Glaser wrote:
> tags 692951 + patch
> thanks
> 
> Andreas Beckmann dixit:
> 
> >After the upgrade /usr/share/doc/$PACKAGE/ is just an empty directory.
> 
> Hey, I know that. Patch attached, can NMU if you want, maks.

I'm happy if you deal with this packaging issue,
but please if it has to be marked as 'NMU`, mark
it as with consent.
 
> From 9659e5b233c12984ff1144d196ad20be5c046fce Mon Sep 17 00:00:00 2001
> From: Thorsten Glaser <tg@mirbsd.org>
> Date: Sun, 11 Nov 2012 11:40:09 +0000
> Subject: [PATCH] add migration script for /usr/share/doc/libklibc-dev
>  (Closes: #692951)
> 
> 
> Signed-off-by: Thorsten Glaser <tg@mirbsd.org>
> ---
>  debian/changelog             |    7 +++++
>  debian/libklibc-dev.postinst |   66 ++++++++++++++++++++++++++++++++++++++++++

thank you.

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#692951; Package libklibc-dev. (Mon, 12 Nov 2012 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Mon, 12 Nov 2012 17:09:06 GMT) Full text and rfc822 format available.

Message #22 received at 692951@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: maximilian attems <maks@debian.org>, 692951@bugs.debian.org
Cc: Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#692951: libklibc-dev: copyright file missing after upgrade (policy 12.5)
Date: Mon, 12 Nov 2012 17:04:42 +0000 (UTC)
[Message part 1 (text/plain, inline)]
maximilian attems dixit:

>I'm happy if you deal with this packaging issue,
>but please if it has to be marked as 'NMU`, mark
>it as with consent.

OK, did so. The actual patch I used is applied,
and the debdiff of the package I just uploaded
is identical.

bye,
//mirabilos
-- 
<gcc> ncal.c: In function 'parsemonth': warning: comparison between pointer
and integer  • <mirabilos> ↑ hab da „in function parselmouth“ gelesen
<Natureshadow> ICH AUCH! • <Natureshadow> Ich hab gerade gedacht "Häh? Wie,
hab da parselmouth gelesen ... steht da doch auch :o?"	-- too much fanfic…
[0001-add-migration-script-for-usr-share-doc-libklibc-dev-.patch (text/plain, attachment)]

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Mon, 12 Nov 2012 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #27 received at 692951-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 692951-close@bugs.debian.org
Subject: Bug#692951: fixed in klibc 2.0.1-3.1
Date: Mon, 12 Nov 2012 17:18:15 +0000
Source: klibc
Source-Version: 2.0.1-3.1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Sun, 11 Nov 2012 11:30:14 +0000
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 2.0.1-3.1
Distribution: unstable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (d-i) (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (d-i) (udeb)
Closes: 692951
Changes: 
 klibc (2.0.1-3.1) unstable; urgency=low
 .
   * Non-maintainer upload with consent of maintainer.
   * Add migration script for /usr/share/doc/libklibc-dev (Closes: #692951)
Checksums-Sha1: 
 be5990d156cbb6898b8c89f2db0aa32b68b20cb8 2165 klibc_2.0.1-3.1.dsc
 17788d94ab39510f0f1f58964f0bdf1b11e40123 24432 klibc_2.0.1-3.1.debian.tar.gz
 6ac5f65d635d007b373a53fee0e645f3290379d2 234764 libklibc-dev_2.0.1-3.1_amd64.deb
 ae23a784fb9193c663054c57bca1fa4e862ffb91 56864 libklibc_2.0.1-3.1_amd64.deb
 89b937a861e6156bd5538772e5ccb12bbf8b2cbf 191540 klibc-utils_2.0.1-3.1_amd64.deb
 29c78c11f7b89839c18f70e20c48cef71ac5df26 105948 klibc-utils-udeb_2.0.1-3.1_amd64.udeb
 bc3fb81dd6f61e7ec1056823cb8b225c3dd68968 23812 klibc-utils-floppy-udeb_2.0.1-3.1_amd64.udeb
 c3034c7877d68dbede83a4ab16bc25d0f07d8964 33526 libklibc-udeb_2.0.1-3.1_amd64.udeb
Checksums-Sha256: 
 723fe4850faa88418b6764272fcc40936ff4b9b9df5bb4f762f67fd912994ce9 2165 klibc_2.0.1-3.1.dsc
 75c31bfe3c71dcfc5322514f170d60f5cfdd0194ed94a476eb69f6f6746282c5 24432 klibc_2.0.1-3.1.debian.tar.gz
 329a05e729e6b54cf4367d52632e24a01e3051987b54d080cc670594f2d9a0fd 234764 libklibc-dev_2.0.1-3.1_amd64.deb
 a1b19080757fa9f8878450e07554419145e163c5b5930cd73cc1707f0b26f74f 56864 libklibc_2.0.1-3.1_amd64.deb
 41b34dcda54881d8c459c6b1099755c31de6b90400e7bc75669ca166bbfc1fa7 191540 klibc-utils_2.0.1-3.1_amd64.deb
 2c57fb2c09dee0480f70efc3fe2f62f6f3bf7076cff895e336abcc3be6f647a9 105948 klibc-utils-udeb_2.0.1-3.1_amd64.udeb
 b96ba68ae42261131b865122db809bd5109fa68e75f2428c7c49e1cf708668de 23812 klibc-utils-floppy-udeb_2.0.1-3.1_amd64.udeb
 4064b8f13dc3f431e70c943d12917ce063c2d6194e1a179f4a121521f6e65bc6 33526 libklibc-udeb_2.0.1-3.1_amd64.udeb
Files: 
 5fb73dca257ab8650876cfab329e31cb 2165 libs optional klibc_2.0.1-3.1.dsc
 d0b996a45adca9a2e2e16eedc013a571 24432 libs optional klibc_2.0.1-3.1.debian.tar.gz
 ef6ba206c954161e88b2aa35d5dee2b3 234764 libdevel optional libklibc-dev_2.0.1-3.1_amd64.deb
 a7dd902bb83baae6af544e30ed141293 56864 libs optional libklibc_2.0.1-3.1_amd64.deb
 aaa2d31c3bab318fc617820c60e54f27 191540 libs optional klibc-utils_2.0.1-3.1_amd64.deb
 e826f64984badabc4462203a4a2e4b2f 105948 debian-installer optional klibc-utils-udeb_2.0.1-3.1_amd64.udeb
 f579ff08d067275b7d362e6d3a829797 23812 debian-installer optional klibc-utils-floppy-udeb_2.0.1-3.1_amd64.udeb
 854c2a93f75072139b17f12312956d76 33526 debian-installer optional libklibc-udeb_2.0.1-3.1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MirBSD)

iQIcBAEBCQAGBQJQoSuqAAoJEHa1NLLpkAfgL9MQAJEx13ZSVRmMWcDs2kt3sxTV
KYCjy5weA4hGu1tK5x0ggtod6XhVx2aqRj/NKPg1JMfs83l/82Qq2STrKyW9x3Em
rAxJ9axrElaEjCvx4cWTLNlbCBCi+2tVd03u7f21/MQ0fVekBjreeGwhuPiQK1Ao
rZmx6g0wHAxd8K4qOw/QIld2evoN1wugb1spwqJgMEIpDA5svh5vNyYjtzCfWA4b
AaUP71wf7Yfd+obm8A9+6acAj3ziOWY8Rphumuo/BulcqzpAPi1Tt5m2B4BjlD0m
wygM5iVvifMH/v0hUUexnhXNHK8DSI71TTQPVXOZhMI4AzGlKfZWkRIifkryg+rz
9QmOiQiDLw0b53mKu3lCzwvazNC6Dl0QNuu8sTADvq0gPxA9ItVrV6YXEO5P2czQ
WbDZcHbT3iWK3ECxo9BSOHvdMbrxAAOelC86hOOd6pP89u6PbfuTqQnIcv2p+s+i
pPvwSRbdh3utuGnm1fk5j5KovPrJg8+T9HjI+ywTiPETPmBQ0NS5rWNmPb21GBoS
tzaG8R2dbsAKBVv7IMtJb+f6ZxSSz+Cx0kDl6joykKRTcFjyatC4pbqqw8l0SCEz
44DdkLw/QxpWm0AnBgIwjsOMV9PONYW1YUXFCo3TdFSI2ocB38EdFVHuovSooaFk
fBQ/uPOOkAiF/nFR22nt
=E1Bs
-----END PGP SIGNATURE-----




Marked as found in versions klibc/1.5.20-1+squeeze1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 20 Dec 2012 10:21:06 GMT) Full text and rfc822 format available.

Marked as found in versions klibc/1.5.20-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 20 Dec 2012 10:21:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:31:36 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:00:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:14:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.